<?php

namespace wpbel\classes\helpers;

class Plugin
{
    public static function is_installed(string $plugin_file)
    {
        return file_exists(WPBEL_PLUGINS_DIR . $plugin_file);
    }

    public static function get_status(string $plugin_file)
    {
        if (self::is_installed($plugin_file)) {
            if (is_plugin_active($plugin_file)) {
                $output = '<span class="active">' . esc_html__("Active Module", WPBEL_NAME) . '</span>';
            } else {
                $output = '<span class="inactive">' . esc_html__("Inactive Module", WPBEL_NAME) . '</span>';
            }
        } else {
            $output = '<span class="not-installed">' . esc_html__("Not Installed", WPBEL_NAME) . '</span>';
        }

        return $output;
    }

    public static function get_action_button(array $data)
    {
        if (self::is_installed($data['plugin'])) {
            if (is_plugin_active($data['plugin'])) {
                $output = '<button type="submit" class="deactivate" name="deactivate" value="' . esc_attr($data['plugin']) . '">' . esc_html__("Deactivate", WPBEL_NAME) . '</button>';
            } else {
                $output = '<button type="submit" class="activate" name="activate" value="' . esc_attr($data['plugin']) . '">' . esc_html__("Activate", WPBEL_NAME) . '</button>';
            }
        } else {
            $output = '<a href="javascript:;">' . esc_html__("Buy Add-On", WPBEL_NAME) . '</a>';
        }

        return $output;
    }
}
